Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class JtdsResultSet

    java.lang.Object
      |
      +--net.sourceforge.jtds.jdbc.JtdsResultSet

All Implemented Interfaces:
  java.sql.ResultSet

Direct Known Subclasses:
  CachedResultSet, MSCursorResultSet

public class JtdsResultSet
extends java.lang.Object
implements java.sql.ResultSet

jTDS Implementation of the java.sql.ResultSet interface supporting forward read only result sets.

Implementation notes:

1. This class is also the base for more sophisticated result sets and incorporates the update methods required by them.
2. The class supports the BLOB/CLOB objects added by Brian.

Version:
  $Id: JtdsResultSet.java,v 1.46 2005/09/26 18:21:09 ddkilzer Exp $
Author:
  Mike Hutchinson

Field Summary
`protected boolean` | `cancelled` True if the query has been cancelled by another thread.
`(package private) static int` | `CLOSE_CURSORS_AT_COMMIT`
`protected boolean` | `closed` True if this result set is closed.
`protected int` | `columnCount` Number of visible columns in row.
`private java.util.HashMap` | `columnMap` Cache to optimize findColumn(String) lookups
`protected ColInfo[]` | `columns` The array of column descriptors.
`protected int` | `concurrency` The result set concurrency.
`protected java.lang.Object[]` | `currentRow` The current result set row.
`protected java.lang.String` | `cursorName` The cursor name to be used for positioned updates.
`protected int` | `direction` The fetch direction.
`private static java.text.NumberFormat` | `f` Used to format numeric values when scale is specified.
`protected int` | `fetchDirection` The fetch direction.
`protected int` | `fetchSize` The fetch size (only applies to cursor `ResultSet`s).
`(package private) static int` | `HOLD_CURSORS_OVER_COMMIT`
`protected static int` | `INITIAL_ROW_COUNT` Initial size for row array.
`protected int` | `pos` The current row number.
`protected static int` | `POS_AFTER_LAST`
`protected static int` | `POS_BEFORE_FIRST`
`protected int` | `resultSetType` The result set type.
`protected java.util.ArrayList` | `rowData` Cached row data for forward only result set.
`protected int` | `rowPtr` Index of current row in rowData.
`protected int` | `rowsInResult` The number of rows in the result.
`protected JtdsStatement` | `statement` The parent statement.
`protected boolean` | `wasNull` True if last column retrieved was null.

Fields inherited from interface java.sql.ResultSet
`CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`(package private)` | `JtdsResultSet(JtdsStatement statement, int resultSetType, int concurrency, ColInfo[] columns)` Construct a simple result set from a statement, metadata or generated keys.

Method Summary
`boolean` | `absolute(int row)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`protected void` | `cacheResultSetRows()` Cache the remaining results to free up connection.
`void` | `cancelRowUpdates()`
`protected void` | `checkOpen()` Check that this connection is still open.
`protected void` | `checkScrollable()` Check that this resultset is scrollable.
`protected void` | `checkUpdateable()` Check that this resultset is updateable.
`void` | `clearWarnings()`
`void` | `close()`
`protected ColInfo[]` | `copyInfo(ColInfo[] info)` Copy an existing result set column descriptor array.
`protected java.lang.Object[]` | `copyRow(java.lang.Object[] row)` Copy an existing result set row.
`void` | `deleteRow()`
`int` | `findColumn(java.lang.String columnName)`
`boolean` | `first()`
`java.sql.Array` | `getArray(int columnIndex)`
`java.sql.Array` | `getArray(java.lang.String columnName)`
`java.io.InputStream` | `getAsciiStream(int columnIndex)`
`java.io.InputStream` | `getAsciiStream(java.lang.String columnName)`
`java.math.BigDecimal` | `getBigDecimal(int columnIndex)`
`java.math.BigDecimal` | `getBigDecimal(int columnIndex, int scale)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName, int scale)`
`java.io.InputStream` | `getBinaryStream(int columnIndex)`
`java.io.InputStream` | `getBinaryStream(java.lang.String columnName)`
`java.sql.Blob` | `getBlob(int columnIndex)`
`java.sql.Blob` | `getBlob(java.lang.String columnName)`
`boolean` | `getBoolean(int columnIndex)`
`boolean` | `getBoolean(java.lang.String columnName)`
`byte` | `getByte(int columnIndex)`
`byte` | `getByte(java.lang.String columnName)`
`byte[]` | `getBytes(int columnIndex)`
`byte[]` | `getBytes(java.lang.String columnName)`
`java.io.Reader` | `getCharacterStream(int columnIndex)`
`java.io.Reader` | `getCharacterStream(java.lang.String columnName)`
`java.sql.Clob` | `getClob(int columnIndex)`
`java.sql.Clob` | `getClob(java.lang.String columnName)`
`protected java.lang.Object` | `getColumn(int index)` Get the specified column's data item.
`protected static int` | `getColumnCount(ColInfo[] columns)` Retrieve the column count excluding hidden columns
`protected ColInfo[]` | `getColumns()` Retrieve the column descriptor array.
`int` | `getConcurrency()`
`private ConnectionJDBC2` | `getConnection()` Returns the `ConnectionJDBC2` object referenced by the `statement` instance variable.
`protected java.lang.Object[]` | `getCurrentRow()` Retrieve the current row data.
`java.lang.String` | `getCursorName()`
`java.sql.Date` | `getDate(int columnIndex)`
`java.sql.Date` | `getDate(int columnIndex, java.util.Calendar cal)`
`java.sql.Date` | `getDate(java.lang.String columnName)`
`java.sql.Date` | `getDate(java.lang.String columnName, java.util.Calendar cal)`
`double` | `getDouble(int columnIndex)`
`double` | `getDouble(java.lang.String columnName)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int columnIndex)`
`float` | `getFloat(java.lang.String columnName)`
`int` | `getInt(int columnIndex)`
`int` | `getInt(java.lang.String columnName)`
`long` | `getLong(int columnIndex)`
`long` | `getLong(java.lang.String columnName)`
`java.sql.ResultSetMetaData` | `getMetaData()`
`java.lang.Object` | `getObject(int columnIndex)`
`java.lang.Object` | `getObject(int columnIndex, java.util.Map map)`
`java.lang.Object` | `getObject(java.lang.String columnName)`
`java.lang.Object` | `getObject(java.lang.String columnName, java.util.Map map)`
`java.sql.Ref` | `getRef(int columnIndex)`
`java.sql.Ref` | `getRef(java.lang.String columnName)`
`int` | `getRow()`
`short` | `getShort(int columnIndex)`
`short` | `getShort(java.lang.String columnName)`
`java.sql.Statement` | `getStatement()`
`java.lang.String` | `getString(int columnIndex)`
`java.lang.String` | `getString(java.lang.String columnName)`
`java.sql.Time` | `getTime(int columnIndex)`
`java.sql.Time` | `getTime(int columnIndex, java.util.Calendar cal)`
`java.sql.Time` | `getTime(java.lang.String columnName)`
`java.sql.Time` | `getTime(java.lang.String columnName, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int columnIndex)`
`java.sql.Timestamp` | `getTimestamp(int columnIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName, java.util.Calendar cal)`
`int` | `getType()`
`java.io.InputStream` | `getUnicodeStream(int columnIndex)`
`java.io.InputStream` | `getUnicodeStream(java.lang.String columnName)`
`java.net.URL` | `getURL(int columnIndex)`
`java.net.URL` | `getURL(java.lang.String columnName)`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`protected java.lang.Object[]` | `newRow()` Create a new row containing empty data items.
`boolean` | `next()`
`protected static void` | `notImplemented(java.lang.String method)` Report that user tried to call a method which has not been implemented.
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int row)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`protected void` | `setColLabel(int colIndex, java.lang.String name)` Set the specified column's label.
`protected void` | `setColName(int colIndex, java.lang.String name)` Set the specified column's name.
`protected void` | `setColType(int colIndex, int jdbcType)` Set the specified column's JDBC type.
`protected void` | `setColumnCount(int columnCount)` Set the current row's column count.
`protected java.lang.Object` | `setColValue(int colIndex, int jdbcType, java.lang.Object value, int length)` Set the specified column's data value.
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `updateArray(int columnIndex, java.sql.Array x)`
`void` | `updateArray(java.lang.String columnName, java.sql.Array x)`
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream inputStream, int length)`
`void` | `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateBigDecimal(int columnIndex, java.math.BigDecimal x)`
`void` | `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)`
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream inputStream, int length)`
`void` | `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateBlob(int columnIndex, java.sql.Blob x)`
`void` | `updateBlob(java.lang.String columnName, java.sql.Blob x)`
`void` | `updateBoolean(int columnIndex, boolean x)`
`void` | `updateBoolean(java.lang.String columnName, boolean x)`
`void` | `updateByte(int columnIndex, byte x)`
`void` | `updateByte(java.lang.String columnName, byte x)`
`void` | `updateBytes(int columnIndex, byte[] x)`
`void` | `updateBytes(java.lang.String columnName, byte[] x)`
`void` | `updateCharacterStream(int columnIndex, java.io.Reader reader, int length)`
`void` | `updateCharacterStream(java.lang.String columnName, java.io.Reader x, int length)`
`void` | `updateClob(int columnIndex, java.sql.Clob x)`
`void` | `updateClob(java.lang.String columnName, java.sql.Clob x)`
`void` | `updateDate(int columnIndex, java.sql.Date x)`
`void` | `updateDate(java.lang.String columnName, java.sql.Date x)`
`void` | `updateDouble(int columnIndex, double x)`
`void` | `updateDouble(java.lang.String columnName, double x)`
`void` | `updateFloat(int columnIndex, float x)`
`void` | `updateFloat(java.lang.String columnName, float x)`
`void` | `updateInt(int columnIndex, int x)`
`void` | `updateInt(java.lang.String columnName, int x)`
`void` | `updateLong(int columnIndex, long x)`
`void` | `updateLong(java.lang.String columnName, long x)`
`void` | `updateNull(int columnIndex)`
`void` | `updateNull(java.lang.String columnName)`
`void` | `updateObject(int columnIndex, java.lang.Object x)`
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x, int scale)`
`void` | `updateRef(int columnIndex, java.sql.Ref x)`
`void` | `updateRef(java.lang.String columnName, java.sql.Ref x)`
`void` | `updateRow()`
`void` | `updateShort(int columnIndex, short x)`
`void` | `updateShort(java.lang.String columnName, short x)`
`void` | `updateString(int columnIndex, java.lang.String x)`
`void` | `updateString(java.lang.String columnName, java.lang.String x)`
`void` | `updateTime(int columnIndex, java.sql.Time x)`
`void` | `updateTime(java.lang.String columnName, java.sql.Time x)`
`void` | `updateTimestamp(int columnIndex, java.sql.Timestamp x)`
`void` | `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### HOLD_CURSORS_OVER_COMMIT

    static final int HOLD_CURSORS_OVER_COMMIT

### CLOSE_CURSORS_AT_COMMIT

    static final int CLOSE_CURSORS_AT_COMMIT

### POS_BEFORE_FIRST

    protected static final int POS_BEFORE_FIRST

### POS_AFTER_LAST

    protected static final int POS_AFTER_LAST

### INITIAL_ROW_COUNT

    protected static final int INITIAL_ROW_COUNT

  Initial size for row array.

### pos

    protected int pos

  The current row number.

### rowsInResult

    protected int rowsInResult

  The number of rows in the result.

### direction

    protected int direction

  The fetch direction.

### resultSetType

    protected int resultSetType

  The result set type.

### concurrency

    protected int concurrency

  The result set concurrency.

### columnCount

    protected int columnCount

  Number of visible columns in row.

### columns

    protected ColInfo[] columns

  The array of column descriptors.

### currentRow

    protected java.lang.Object[] currentRow

  The current result set row.

### rowData

    protected java.util.ArrayList rowData

  Cached row data for forward only result set.

### rowPtr

    protected int rowPtr

  Index of current row in rowData.

### wasNull

    protected boolean wasNull

  True if last column retrieved was null.

### statement

    protected JtdsStatement statement

  The parent statement.

### closed

    protected boolean closed

  True if this result set is closed.

### cancelled

    protected boolean cancelled

  True if the query has been cancelled by another thread.

### fetchDirection

    protected int fetchDirection

  The fetch direction.

### fetchSize

    protected int fetchSize

  The fetch size (only applies to cursor `ResultSet`s).

### cursorName

    protected java.lang.String cursorName

  The cursor name to be used for positioned updates.

### columnMap

    private java.util.HashMap columnMap

  Cache to optimize findColumn(String) lookups

### f

    private static java.text.NumberFormat f

  Used to format numeric values when scale is specified.

Constructor Detail

### JtdsResultSet

    JtdsResultSet(JtdsStatement statement,
                  int resultSetType,
                  int concurrency,
                  ColInfo[] columns)
            throws java.sql.SQLException

  Construct a simple result set from a statement, metadata or generated keys.
  Parameters:
    `statement` - The parent statement object or null.
    `resultSetType` - one of FORWARD_ONLY, SCROLL_INSENSITIVE, SCROLL_SENSITIVE.
    `concurrency` - One of CONCUR_READ_ONLY, CONCUR_UPDATE.
    `columns` - The array of column descriptors for the result set row.
  Throws:
    `java.sql.SQLException` -

Method Detail

### getColumnCount

    protected static int getColumnCount(ColInfo[] columns)

  Retrieve the column count excluding hidden columns
  Parameters:
    `columns` - The columns array
  Returns:
    The new column count as an `int`.

### getColumns

    protected ColInfo[] getColumns()

  Retrieve the column descriptor array.
  Returns:
    The column descriptors as a `ColInfo[]`.

### setColName

    protected void setColName(int colIndex,
                              java.lang.String name)

  Set the specified column's name.
  Parameters:
    `colIndex` - The index of the column in the row.
    `name` - The new name.

### setColLabel

    protected void setColLabel(int colIndex,
                               java.lang.String name)

  Set the specified column's label.
  Parameters:
    `colIndex` - The index of the column in the row.
    `name` - The new label.

### setColType

    protected void setColType(int colIndex,
                              int jdbcType)

  Set the specified column's JDBC type.
  Parameters:
    `colIndex` - The index of the column in the row.
    `jdbcType` - The new type value.

### setColValue

    protected java.lang.Object setColValue(int colIndex,
                                           int jdbcType,
                                           java.lang.Object value,
                                           int length)
                                    throws java.sql.SQLException

  Set the specified column's data value.
  Parameters:
    `colIndex` - index of the column
    `value` - new column value
    `length` - the length of a stream parameter
  Returns:
    the value, possibly converted to an internal type

### setColumnCount

    protected void setColumnCount(int columnCount)

  Set the current row's column count.
  Parameters:
    `columnCount` - The number of visible columns in the row.

### getColumn

    protected java.lang.Object getColumn(int index)
                                  throws java.sql.SQLException

  Get the specified column's data item.
  Parameters:
    `index` - the column index in the row
  Returns:
    the column value as an `Object`
  Throws:
    `java.sql.SQLException` - if the connection is closed; if `index` is less than `1`; if `index` is greater that the number of columns; if there is no current row

### checkOpen

    protected void checkOpen()
                      throws java.sql.SQLException

  Check that this connection is still open.
  Throws:
    `java.sql.SQLException` - if connection closed.

### checkScrollable

    protected void checkScrollable()
                            throws java.sql.SQLException

  Check that this resultset is scrollable.
  Throws:
    `java.sql.SQLException` - if connection closed.

### checkUpdateable

    protected void checkUpdateable()
                            throws java.sql.SQLException

  Check that this resultset is updateable.
  Throws:
    `java.sql.SQLException` - if connection closed.

### notImplemented

    protected static void notImplemented(java.lang.String method)
                                  throws java.sql.SQLException

  Report that user tried to call a method which has not been implemented.
  Parameters:
    `method` - The method name to report in the error message.
  Throws:
    `java.sql.SQLException` -

### newRow

    protected java.lang.Object[] newRow()

  Create a new row containing empty data items.
  Returns:
    the new row as an `Object` array

### copyRow

    protected java.lang.Object[] copyRow(java.lang.Object[] row)

  Copy an existing result set row.
  Parameters:
    `row` - the result set row to copy
  Returns:
    the new row as an `Object` array

### copyInfo

    protected ColInfo[] copyInfo(ColInfo[] info)

  Copy an existing result set column descriptor array.
  Parameters:
    `info` - The result set column descriptors to copy.
  Returns:
    The new descriptors as a `ColInfo[]`.

### getCurrentRow

    protected java.lang.Object[] getCurrentRow()

  Retrieve the current row data.
  Returns:
    The current row data as an `Object[]`.

### cacheResultSetRows

    protected void cacheResultSetRows()
                               throws java.sql.SQLException

  Cache the remaining results to free up connection.
  Throws:
    `java.sql.SQLException` -

### getConnection

    private ConnectionJDBC2 getConnection()
                                   throws java.sql.SQLException

  Returns the `ConnectionJDBC2` object referenced by the `statement` instance variable.
  Returns:
    `ConnectionJDBC2` object.
  Throws:
    `java.sql.SQLException` - on error.

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Specified by:
    `getConcurrency` in interface `java.sql.ResultSet`

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    `getFetchDirection` in interface `java.sql.ResultSet`

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    `getFetchSize` in interface `java.sql.ResultSet`

### getRow

    public int getRow()
               throws java.sql.SQLException

  Specified by:
    `getRow` in interface `java.sql.ResultSet`

### getType

    public int getType()
                throws java.sql.SQLException

  Specified by:
    `getType` in interface `java.sql.ResultSet`

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  Specified by:
    `afterLast` in interface `java.sql.ResultSet`

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Specified by:
    `beforeFirst` in interface `java.sql.ResultSet`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  Specified by:
    `cancelRowUpdates` in interface `java.sql.ResultSet`

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.ResultSet`

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.ResultSet`

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  Specified by:
    `deleteRow` in interface `java.sql.ResultSet`

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  Specified by:
    `insertRow` in interface `java.sql.ResultSet`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  Specified by:
    `moveToCurrentRow` in interface `java.sql.ResultSet`

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  Specified by:
    `moveToInsertRow` in interface `java.sql.ResultSet`

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  Specified by:
    `refreshRow` in interface `java.sql.ResultSet`

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  Specified by:
    `updateRow` in interface `java.sql.ResultSet`

### first

    public boolean first()
                  throws java.sql.SQLException

  Specified by:
    `first` in interface `java.sql.ResultSet`

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  Specified by:
    `isAfterLast` in interface `java.sql.ResultSet`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  Specified by:
    `isBeforeFirst` in interface `java.sql.ResultSet`

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  Specified by:
    `isFirst` in interface `java.sql.ResultSet`

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  Specified by:
    `isLast` in interface `java.sql.ResultSet`

### last

    public boolean last()
                 throws java.sql.SQLException

  Specified by:
    `last` in interface `java.sql.ResultSet`

### next

    public boolean next()
                 throws java.sql.SQLException

  Specified by:
    `next` in interface `java.sql.ResultSet`

### previous

    public boolean previous()
                     throws java.sql.SQLException

  Specified by:
    `previous` in interface `java.sql.ResultSet`

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  Specified by:
    `rowDeleted` in interface `java.sql.ResultSet`

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  Specified by:
    `rowInserted` in interface `java.sql.ResultSet`

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  Specified by:
    `rowUpdated` in interface `java.sql.ResultSet`

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Specified by:
    `wasNull` in interface `java.sql.ResultSet`

### getByte

    public byte getByte(int columnIndex)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.ResultSet`

### getDouble

    public double getDouble(int columnIndex)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`

### getFloat

    public float getFloat(int columnIndex)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`

### getInt

    public int getInt(int columnIndex)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.ResultSet`

### getLong

    public long getLong(int columnIndex)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.ResultSet`

### getShort

    public short getShort(int columnIndex)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.ResultSet`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    `setFetchDirection` in interface `java.sql.ResultSet`

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    `setFetchSize` in interface `java.sql.ResultSet`

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  Specified by:
    `absolute` in interface `java.sql.ResultSet`

### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`

### relative

    public boolean relative(int row)
                     throws java.sql.SQLException

  Specified by:
    `relative` in interface `java.sql.ResultSet`

### getBytes

    public byte[] getBytes(int columnIndex)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`

### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`

### getBinaryStream

    public java.io.InputStream getBinaryStream(int columnIndex)
                                        throws java.sql.SQLException

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)
                                         throws java.sql.SQLException

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream inputStream,
                                  int length)
                           throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream inputStream,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader reader,
                                      int length)
                               throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`

### getObject

    public java.lang.Object getObject(int columnIndex)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  Specified by:
    `getCursorName` in interface `java.sql.ResultSet`

### getString

    public java.lang.String getString(int columnIndex)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.ResultSet`

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    `updateString` in interface `java.sql.ResultSet`

### getByte

    public byte getByte(java.lang.String columnName)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.ResultSet`

### getDouble

    public double getDouble(java.lang.String columnName)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`

### getFloat

    public float getFloat(java.lang.String columnName)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`

### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

  Specified by:
    `findColumn` in interface `java.sql.ResultSet`

### getInt

    public int getInt(java.lang.String columnName)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.ResultSet`

### getLong

    public long getLong(java.lang.String columnName)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.ResultSet`

### getShort

    public short getShort(java.lang.String columnName)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.ResultSet`

### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`

### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`

### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`

### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`

### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`

### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`

### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`

### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`

### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`

### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`

### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`

### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

### getArray

    public java.sql.Array getArray(int columnIndex)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.ResultSet`

### updateArray

    public void updateArray(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

### getBlob

    public java.sql.Blob getBlob(int columnIndex)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`

### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

### getClob

    public java.sql.Clob getClob(int columnIndex)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.ResultSet`

### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(int columnIndex)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`

### getRef

    public java.sql.Ref getRef(int columnIndex)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.ResultSet`

### updateRef

    public void updateRef(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.ResultSet`

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  Specified by:
    `getStatement` in interface `java.sql.ResultSet`

### getTime

    public java.sql.Time getTime(int columnIndex)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws java.sql.SQLException

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws java.sql.SQLException

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws java.sql.SQLException

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`

### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`

### getObject

    public java.lang.Object getObject(int columnIndex,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`

### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.ResultSet`

### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    `updateString` in interface `java.sql.ResultSet`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                              int scale)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`

### getURL

    public java.net.URL getURL(java.lang.String columnName)
                        throws java.sql.SQLException

### getArray

    public java.sql.Array getArray(java.lang.String columnName)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.ResultSet`

### updateArray

    public void updateArray(java.lang.String columnName,
                            java.sql.Array x)
                     throws java.sql.SQLException

### getBlob

    public java.sql.Blob getBlob(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`

### updateBlob

    public void updateBlob(java.lang.String columnName,
                           java.sql.Blob x)
                    throws java.sql.SQLException

### getClob

    public java.sql.Clob getClob(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.ResultSet`

### updateClob

    public void updateClob(java.lang.String columnName,
                           java.sql.Clob x)
                    throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`

### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`

### getRef

    public java.sql.Ref getRef(java.lang.String columnName)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.ResultSet`

### updateRef

    public void updateRef(java.lang.String columnName,
                          java.sql.Ref x)
                   throws java.sql.SQLException

### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`

### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`

### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`

### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`

### getObject

    public java.lang.Object getObject(java.lang.String columnName,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`

### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`

### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on November 8 2005